// Controls.cpp : implementation file
//

#include "stdafx.h"
#include "glDuke.h"
#include "Controls.h"
#include "Settings.h"

extern CSettings set;

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CControls dialog


CControls::CControls(CWnd* pParent /*=NULL*/)
	: CDialog(CControls::IDD, pParent)
{
	//{{AFX_DATA_INIT(CControls)
	m_Joystick = FALSE;
	m_Keyboard = FALSE;
	m_Mouse = FALSE;
	//}}AFX_DATA_INIT
}


void CControls::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CControls)
	DDX_Check(pDX, IDC_JOYSTICK, m_Joystick);
	DDX_Check(pDX, IDC_KEYBOARD, m_Keyboard);
	DDX_Check(pDX, IDC_MOUSE, m_Mouse);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CControls, CDialog)
	//{{AFX_MSG_MAP(CControls)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CControls message handlers

BOOL CControls::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	if(set.m_Setup.dwControlStatus & 0x01)
	{
		m_Keyboard = TRUE;
	}
	if(set.m_Setup.dwControlStatus & 0x02)
	{
		m_Mouse = TRUE;
	}
	if(set.m_Setup.dwControlStatus & 0x04)
	{
		m_Joystick = TRUE;
	}
	UpdateData(0);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CControls::OnDestroy() 
{
	CDialog::OnDestroy();
	// TODO: Add your message handler code here
	UpdateData(1);
	set.m_Setup.dwControlStatus = 0;
	if(m_Keyboard == TRUE)
	{
		set.m_Setup.dwControlStatus |= 0x01;
	}
	if(m_Mouse == TRUE)
	{
		set.m_Setup.dwControlStatus |= 0x02;
	}
	if(m_Joystick == TRUE)
	{
		set.m_Setup.dwControlStatus |= 0x04;
	}
	if(set.m_Setup.dwControlStatus == 0)
	{
		MessageBox("Well, I don't think you want to stay always at the same place. glDuke will enable the keyboard.", "glDuke", MB_ICONINFORMATION);
		set.m_Setup.dwControlStatus = 0x01;
	}
}
