// GenSoundOpt.cpp : implementation file
//

#include "stdafx.h"
#include "glDuke.h"
#include "GenSoundOpt.h"
#include "Settings.h"

extern CSettings set;

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGenSoundOpt dialog


CGenSoundOpt::CGenSoundOpt(CWnd* pParent /*=NULL*/)
	: CDialog(CGenSoundOpt::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGenSoundOpt)
	m_Music = FALSE;
	m_Sound = FALSE;
	//}}AFX_DATA_INIT
}


void CGenSoundOpt::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGenSoundOpt)
	DDX_Check(pDX, IDC_MUSIC, m_Music);
	DDX_Check(pDX, IDC_SOUND, m_Sound);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGenSoundOpt, CDialog)
	//{{AFX_MSG_MAP(CGenSoundOpt)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGenSoundOpt message handlers

BOOL CGenSoundOpt::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_Sound = set.m_Setup.nSoundEnabled;	
	m_Music = set.m_Setup.nMusicEnabled;
	UpdateData(0);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CGenSoundOpt::OnDestroy() 
{
	CDialog::OnDestroy();
	UpdateData(1);
	set.m_Setup.nSoundEnabled = m_Sound;
	set.m_Setup.nMusicEnabled = m_Music;
	// TODO: Add your message handler code here
	
}
